
rem  This batch file copies the necessary jar files from JWSDP to the
rem  lib directories for both the service and the client web apps.
rem  The jar files that are copied are:
rem  commons-logging.jar, dom4j.jar, jaxrpc-api.jar, jaxrpc-ri.jar, saaj-api.jar
rem  and saaj-ri.jar.
rem  Note: commons-logging.jar and dom4j.jar are not needed by the client app.


call setenv.bat

copy "%JWSDP_HOME%\common\lib\commons-logging.jar" ..\webapps\web-service\WEB-INF\lib
copy "%JWSDP_HOME%\common\lib\dom4j.jar"           ..\webapps\web-service\WEB-INF\lib
copy "%JWSDP_HOME%\common\lib\jaxrpc-api.jar"      ..\webapps\web-service\WEB-INF\lib
copy "%JWSDP_HOME%\common\lib\jaxrpc-ri.jar"       ..\webapps\web-service\WEB-INF\lib
copy "%JWSDP_HOME%\common\lib\saaj-api.jar"        ..\webapps\web-service\WEB-INF\lib
copy "%JWSDP_HOME%\common\lib\saaj-ri.jar"         ..\webapps\web-service\WEB-INF\lib

copy "%JWSDP_HOME%\common\lib\jaxrpc-api.jar"      ..\webapps\web-service-client\WEB-INF\lib
copy "%JWSDP_HOME%\common\lib\jaxrpc-ri.jar"       ..\webapps\web-service-client\WEB-INF\lib
copy "%JWSDP_HOME%\common\lib\saaj-api.jar"        ..\webapps\web-service-client\WEB-INF\lib
copy "%JWSDP_HOME%\common\lib\saaj-ri.jar"         ..\webapps\web-service-client\WEB-INF\lib

pause

call cleanupenv.bat
