#!/bin/sh
#
#   This script copies the necessary jar files from JWSDP to the
#   webapp/WEB-INF/lib directory.  The jar files that are copied are:
#   commons-logging.jar, dom4j.jar, jaxrpc-api.jar, jaxrpc-ri.jar, saaj-api.jar
#   and saaj-ri.jar.

./setenv.sh

cp $JWSDP_HOME/common/lib/commons-logging.jar ../webapps/web-service/WEB-INF/lib
cp $JWSDP_HOME/common/lib/dom4j.jar           ../webapps/web-service/WEB-INF/lib
cp $JWSDP_HOME/common/lib/jaxrpc-api.jar      ../webapps/web-service/WEB-INF/lib
cp $JWSDP_HOME/common/lib/jaxrpc-ri.jar       ../webapps/web-service/WEB-INF/lib
cp $JWSDP_HOME/common/lib/saaj-api.jar        ../webapps/web-service/WEB-INF/lib
cp $JWSDP_HOME/common/lib/saaj-ri.jar         ../webapps/web-service/WEB-INF/lib

cp $JWSDP_HOME/common/lib/jaxrpc-api.jar      ../webapps/web-service-client/WEB-INF/lib
cp $JWSDP_HOME/common/lib/jaxrpc-ri.jar       ../webapps/web-service-client/WEB-INF/lib
cp $JWSDP_HOME/common/lib/saaj-api.jar        ../webapps/web-service-client/WEB-INF/lib
cp $JWSDP_HOME/common/lib/saaj-ri.jar         ../webapps/web-service-client/WEB-INF/lib


./cleanupenv.sh

