#!/bin/sh
#
#  This batch file calls the JWSDP tool xrpcc to generate the
#  server tie classes and server configuration file.  These files
#  are placed under the webapps/web-service/WEB-INF/classes directory.  The
#  xrpcc tool uses the example-config.xml file located in the src
#  directory to determine how to generate these files.

./setenv.bat

$JWSDP_HOME/bin/xrpcc.sh -classpath ../webapps/web-service/WEB-INF/classes -server -d ../webapps/web-service/WEB-INF/classes ../src/example-config.xml

./cleanupenv.sh
