
rem  This batch file compiles the web service's interface and
rem  implementation class and places the generated classes under
rem  the webapps\web-service\WEB-INF\classes directory.
rem  and
rem  the webapps\web-service-client\WEB-INF\classes
rem  directories.
rem  The files compiled here are needed by both the web service
rem  AND the client of the web service.

call setenv.bat

rem compile for the web-service

"%JDK_HOME%\bin\javac" -classpath ..\webapps\web-service\WEB-INF\classes -d ..\webapps\web-service\WEB-INF\classes ..\src\StringWrapper.java ..\src\ExampleWebServiceIF.java ..\src\ExampleWebServiceImpl.java

rem compile for the web-service-client

"%JDK_HOME%\bin\javac" -classpath ..\webapps\web-service-client\WEB-INF\classes -d ..\webapps\web-service-client\WEB-INF\classes ..\src\StringWrapper.java ..\src\ExampleWebServiceIF.java

pause

call cleanupenv.bat
