#!/bin/sh
#
#  This script compiles the web service's interface and
#  implementation class and places the generated classes under
#  the webapp/WEB-INF/classes directory.

./setenv.sh

# compile for the web-service

$JDK_HOME/bin/javac -classpath ../webapps/web-service/WEB-INF/classes -d ../webapps/web-service/WEB-INF/classes ../src/StringWrapper ../src/ExampleWebServiceIF.java ../src/ExampleWebServiceImpl.java

# compile for the web-service-client

$JDK_HOME/bin/javac -classpath ../webapps/web-service-client/WEB-INF/classes -d ../webapps/web-service-client/WEB-INF/classes ../src/StringWrapper ../src/ExampleWebServiceIF.java


./cleanupenv.sh